Loading...
Searching...
No Matches
casacore::FunctionalProxy Class Reference

`#include <FunctionalProxy.h>`

## Public Member Functions

| FunctionalProxy ()
| FunctionalProxy (const Record &rec, Int type=0)
| type 0==Double, other == DComplex
virtual | ~FunctionalProxy ()
Vector< Double > | f (const Vector< Double > &val)
Vector< Double > | fdf (const Vector< Double > &val)
void | add (const FunctionalProxy &func)
Vector< DComplex > | fc (const Vector< DComplex > &val)
Vector< DComplex > | fdfc (const Vector< Double > &val)
void | addc (const FunctionalProxy &func)
Record | asrecord ()
Int | npar () const
uInt | ndim () const
void | setparameters (const Vector< Double > &val)
void | setparametersc (const Vector< DComplex > &val)
void | setmasks (const Vector< Bool > &val)
void | setmask (Int i, Bool val)
void | setpar (Int i, Double val)
void | setparc (Int i, DComplex val)
Vector< Bool > | masks () const
Vector< Double > | parameters () const
Vector< DComplex > | parametersc () const

## Private Member Functions

Record | fhd2rec ()
Record | fhdc2rec ()
void | rec2fhdc (const Record &rec)
void | rec2fhd (const Record &rec)

## Private Attributes

Int | type_
FunctionHolder< Double > | fhd_
FunctionHolder< DComplex > | fhdc_

## Detailed Description

Definition at line 38 of file FunctionalProxy.h.

## Constructor & Destructor Documentation

## FunctionalProxy() [1/2]

casacore::FunctionalProxy::FunctionalProxy | ( |  | ) |

inline

Definition at line 40 of file FunctionalProxy.h.

Referenced by add(), and addc().

## FunctionalProxy() [2/2]

casacore::FunctionalProxy::FunctionalProxy | ( | const Record & | rec,
|  | Int | type = 0 )

type 0==Double, other == DComplex

References casacore::Record().

## ~FunctionalProxy()

virtual casacore::FunctionalProxy::~FunctionalProxy | ( |  | ) |

virtual

## Member Function Documentation

## add()

void casacore::FunctionalProxy::add | ( | const FunctionalProxy & | func | ) |

References FunctionalProxy().

## addc()

void casacore::FunctionalProxy::addc | ( | const FunctionalProxy & | func | ) |

References FunctionalProxy().

## asrecord()

Record casacore::FunctionalProxy::asrecord | ( |  | ) |

References casacore::Record().

## f()

Vector< Double > casacore::FunctionalProxy::f | ( | const Vector< Double > & | val | ) |

## fc()

Vector< DComplex > casacore::FunctionalProxy::fc | ( | const Vector< DComplex > & | val | ) |

## fdf()

Vector< Double > casacore::FunctionalProxy::fdf | ( | const Vector< Double > & | val | ) |

## fdfc()

Vector< DComplex > casacore::FunctionalProxy::fdfc | ( | const Vector< Double > & | val | ) |

## fhd2rec()

Record casacore::FunctionalProxy::fhd2rec | ( |  | ) |

private

References casacore::Record().

## fhdc2rec()

Record casacore::FunctionalProxy::fhdc2rec | ( |  | ) |

private

References casacore::Record().

## masks()

Vector< Bool > casacore::FunctionalProxy::masks | ( |  | ) | const

## ndim()

uInt casacore::FunctionalProxy::ndim | ( |  | ) | const

## npar()

Int casacore::FunctionalProxy::npar | ( |  | ) | const

## parameters()

Vector< Double > casacore::FunctionalProxy::parameters | ( |  | ) | const

## parametersc()

Vector< DComplex > casacore::FunctionalProxy::parametersc | ( |  | ) | const

## rec2fhd()

void casacore::FunctionalProxy::rec2fhd | ( | const Record & | rec | ) |

private

References casacore::Record().

## rec2fhdc()

void casacore::FunctionalProxy::rec2fhdc | ( | const Record & | rec | ) |

private

References casacore::Record().

## setmask()

void casacore::FunctionalProxy::setmask | ( | Int | i,
|  | Bool | val )

## setmasks()

void casacore::FunctionalProxy::setmasks | ( | const Vector< Bool > & | val | ) |

## setpar()

void casacore::FunctionalProxy::setpar | ( | Int | i,
|  | Double | val )

## setparameters()

void casacore::FunctionalProxy::setparameters | ( | const Vector< Double > & | val | ) |

## setparametersc()

void casacore::FunctionalProxy::setparametersc | ( | const Vector< DComplex > & | val | ) |

## setparc()

void casacore::FunctionalProxy::setparc | ( | Int | i,
|  | DComplex | val )

## Member Data Documentation

## fhd_

FunctionHolder<Double> casacore::FunctionalProxy::fhd_

private

Definition at line 71 of file FunctionalProxy.h.

## fhdc_

FunctionHolder<DComplex> casacore::FunctionalProxy::fhdc_

private

Definition at line 72 of file FunctionalProxy.h.

## type_

Int casacore::FunctionalProxy::type_

private

Definition at line 70 of file FunctionalProxy.h.

The documentation for this class was generated from the following file:

- scimath/Functionals/FunctionalProxy.h